var __extends = this && this.__extends || function () {
  var _extendStatics = function extendStatics(d, b) {
    _extendStatics = Object.setPrototypeOf || {
      __proto__: []
    } instanceof Array && function (d, b) {
      d.__proto__ = b;
    } || function (d, b) {
      for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p];
    };
    return _extendStatics(d, b);
  };
  return function (d, b) {
    if (typeof b !== "function" && b !== null) throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
    _extendStatics(d, b);
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
}();
/*
 * @Author: shenzhiwei
 * @Date: 2021-04-11 09:33:32
 * @Company: orientsec.com.cn
 * @Description: 用户基础信息核心类（微信，处理微信的 oauth）
 */
import Authorize from "./authorize";
var WeixinAuthorize = /** @class */function (_super) {
  __extends(WeixinAuthorize, _super);
  function WeixinAuthorize() {
    return _super !== null && _super.apply(this, arguments) || this;
  }
  Object.defineProperty(WeixinAuthorize.prototype, "openId", {
    get: function get() {
      return this._openId;
    },
    // 微信openid //
    set: function set(openId) {
      this._openId = openId;
    },
    enumerable: false,
    configurable: true
  });
  Object.defineProperty(WeixinAuthorize.prototype, "nickName", {
    get: function get() {
      return this._nickName;
    },
    // 微信昵称 //
    set: function set(nickName) {
      this._nickName = nickName;
    },
    enumerable: false,
    configurable: true
  });
  return WeixinAuthorize;
}(Authorize);
export default WeixinAuthorize;